GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopReponseType Class Reference

## Public Member Functions
GLSExitCode | getExitCode ()
void | setExitCode (GLSExitCode value)
List< SearchResults > | getSearchResults ()

## Protected Attributes
GLSExitCode | exitCode
List< SearchResults > | searchResults

## Detailed Description

Java class for GetParcelShopReponseType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopReponseType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="exitCode" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSExitCode"/>
            <element name="SearchResults" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}SearchResults" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file GetParcelShopReponseType.java.

## Member Function Documentation

## ◆ getExitCode()

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopReponseType.getExitCode | ( |  | ) |

Gets the value of the exitCode property.

Returns
  possible object is GLSExitCode

Definition at line 52 of file GetParcelShopReponseType.java.

## ◆ getSearchResults()

List<SearchResults> eu.glsgroup.ws.parcelshopsearch.GetParcelShopReponseType.getSearchResults | ( |  | ) |

Gets the value of the searchResults property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the searchResults property.

For example, to add a new item, do as follows:

       getSearchResults().add(newItem);

Objects of the following type(s) are allowed in the list SearchResults

Definition at line 90 of file GetParcelShopReponseType.java.

## ◆ setExitCode()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopReponseType.setExitCode | ( | GLSExitCode | value | ) |

Sets the value of the exitCode property.

Parameters

  value | allowed object is GLSExitCode

Definition at line 64 of file GetParcelShopReponseType.java.

## Member Data Documentation

## ◆ exitCode

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopReponseType.exitCode
| protected

Definition at line 40 of file GetParcelShopReponseType.java.

## ◆ searchResults

List<SearchResults> eu.glsgroup.ws.parcelshopsearch.GetParcelShopReponseType.searchResults
| protected

Definition at line 42 of file GetParcelShopReponseType.java.

The documentation for this class was generated from the following file:

- GetParcelShopReponseType.java